Page 2 of 2

Re: Changing profiles (eselect profile)

Posted: Fri Jan 19, 2018 1:04
by gentmixer
I know, the Sabayon is not a simple replica of Gentoo... So: "help yourself" at this moment...

Re: Changing profiles (eselect profile)

Posted: Wed Jan 24, 2018 17:41
by albfneto
without changing the profile, my compilations with Sabayon's Portage and GCC 5.4 working in a good manner.
I upgraded my filezilla package.

Today, i'm using my new Sabayon installation. see the latest message in:

viewtopic.php?f=57&t=33768

My other Sabayon installation is working, but not upgradable. is my "job" installation:

viewtopic.php?f=76&t=33866

Re: Changing profiles (eselect profile)

Posted: Thu Jan 25, 2018 23:10
by gentmixer
Yes, gcc-5.4 works in both systems, but in the new Gentoo (with "+pie" and "-pie" alike) it should be gcc-6.4 or higher... Gentoo will be compiled with 17.0 profile... Read the announcement by Andreas K. Huettel: https://www.gentoo.org/support/news-ite ... files.html.
It is not only "pie" question:
"The default C++ language version for applications is now C++14.
This change is mostly relevant to Gentoo developers. It also
means, however, that compilers earlier than GCC 6 are masked
and not supported for use as a system compiler anymore. Feel
free to unmask them if you need them for specific applications."
I have mixed system at this moment so I have to evaluate some consequences of this in the future. How I can retain compatibility of systems?

Re: Changing profiles (eselect profile)

Posted: Wed Feb 07, 2018 14:21
by gentmixer
After last massive upgrade the end of the problem...